org.jbpm.executor.entities

## Class RequestInfo

- java.lang.Object
- - org.jbpm.executor.entities.RequestInfo

- All Implemented Interfaces:
    Serializable, org.kie.api.executor.RequestInfo

      @Entity
      public class RequestInfo
      extends Object
      implements org.kie.internal.executor.api.RequestInfo, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestInfo()`
    `RequestInfo(Long id, int priority, Date time)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getCommandName()`
    `String` | `getDeploymentId()`
    `List<? extends ErrorInfo>` | `getErrorInfo()`
    `int` | `getExecutions()`
    `Long` | `getId()`
    `String` | `getKey()`
    `String` | `getMessage()`
    `String` | `getOwner()`
    `int` | `getPriority()`
    `Long` | `getProcessInstanceId()`
    `byte[]` | `getRequestData()`
    `byte[]` | `getResponseData()`
    `int` | `getRetries()`
    `org.kie.api.executor.STATUS` | `getStatus()`
    `Date` | `getTime()`
    `int` | `hashCode()`
    `void` | `setCommandName(String commandName)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setErrorInfo(List<ErrorInfo> errorInfo)`
    `void` | `setExecutions(int executions)`
    `void` | `setId(Long id)`
    `void` | `setKey(String key)`
    `void` | `setMessage(String message)`
    `void` | `setOwner(String owner)`
    `void` | `setPriority(int priority)`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `void` | `setRequestData(byte[] requestData)`
    `void` | `setResponseData(byte[] responseData)`
    `void` | `setRetries(int retries)`
    `void` | `setStatus(org.kie.api.executor.STATUS status)`
    `void` | `setTime(Date time)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestInfo

          public RequestInfo()

    - #### RequestInfo

          public RequestInfo(Long id,
                             int priority,
                             Date time)

  - ### Method Detail

    - #### getErrorInfo

          public List<? extends ErrorInfo> getErrorInfo()

      Specified by:
        `getErrorInfo` in interface `org.kie.api.executor.RequestInfo`

    - #### setErrorInfo

          public void setErrorInfo(List<ErrorInfo> errorInfo)

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.executor.RequestInfo`

    - #### setId

          public void setId(Long id)

    - #### getRetries

          public int getRetries()

      Specified by:
        `getRetries` in interface `org.kie.api.executor.RequestInfo`

    - #### setRetries

          public void setRetries(int retries)

    - #### getExecutions

          public int getExecutions()

      Specified by:
        `getExecutions` in interface `org.kie.api.executor.RequestInfo`

    - #### setExecutions

          public void setExecutions(int executions)

    - #### getCommandName

          public String getCommandName()

      Specified by:
        `getCommandName` in interface `org.kie.api.executor.RequestInfo`

    - #### setCommandName

          public void setCommandName(String commandName)

    - #### getKey

          public String getKey()

      Specified by:
        `getKey` in interface `org.kie.api.executor.RequestInfo`

    - #### setKey

          public void setKey(String key)

    - #### getDeploymentId

          public String getDeploymentId()

      Specified by:
        `getDeploymentId` in interface `org.kie.api.executor.RequestInfo`

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getMessage

          public String getMessage()

      Specified by:
        `getMessage` in interface `org.kie.api.executor.RequestInfo`

    - #### setMessage

          public void setMessage(String message)

    - #### getStatus

          public org.kie.api.executor.STATUS getStatus()

      Specified by:
        `getStatus` in interface `org.kie.api.executor.RequestInfo`

    - #### setStatus

          public void setStatus(org.kie.api.executor.STATUS status)

      Specified by:
        `setStatus` in interface `org.kie.api.executor.RequestInfo`

    - #### getTime

          public Date getTime()

      Specified by:
        `getTime` in interface `org.kie.api.executor.RequestInfo`

    - #### setTime

          public void setTime(Date time)

    - #### getRequestData

          public byte[] getRequestData()

      Specified by:
        `getRequestData` in interface `org.kie.api.executor.RequestInfo`

    - #### setRequestData

          public void setRequestData(byte[] requestData)

    - #### getResponseData

          public byte[] getResponseData()

      Specified by:
        `getResponseData` in interface `org.kie.api.executor.RequestInfo`

    - #### setResponseData

          public void setResponseData(byte[] responseData)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `org.kie.api.executor.RequestInfo`

    - #### setPriority

          public void setPriority(int priority)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.api.executor.RequestInfo`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.